Package net.shibboleth.idp.ui.taglib

# Class ServiceContactTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
net.shibboleth.idp.ui.taglib.ServiceTagSupport
net.shibboleth.idp.ui.taglib.ServiceContactTag

All Implemented Interfaces:
  `BodyTag`, `IterationTag`, `JspTag`, `Tag`, `Serializable`

public class ServiceContactTag extends ServiceTagSupport
return the contactInfo for the SP or null.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`contactName`
bean storage for the name attribute.
`private ContactPersonTypeEnumeration`
`contactType`
storage for the contactType bean.
`private static org.slf4j.Logger`
`log`
Class logger.
`private static final long`
`serialVersionUID`
Serial ID.

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ServiceContactTag()`

## Method Summary

Modifier and Type
Method
Description
`private String`
`buildURL(String email, String name)`
Return either the name raw or garnished in a hyperlink.
`int`
`doEndTag()`
`protected String`
`getContactFromEntity()`
Build an appropriate string from the <EntityDescriptor>.
`private String`
`getStringFromContact(ContactPerson contact)`
Build an appropriate string from the <Contact>.
`void`
`setContactType(String type)`
Setter for the contactType bean.
`void`
`setName(String name)`
Set the contact name.

### Methods inherited from class net.shibboleth.idp.ui.taglib.ServiceTagSupport

`addClassAndId, buildHyperLink, getRelyingPartyUIContext, getServiceName, setCssClass, setCssId, setCssStyle, setUiContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial ID.

See Also:
  - Constant Field Values

### log

@Nonnull private static org.slf4j.Logger log
Class logger.

### contactType

@Nonnull private ContactPersonTypeEnumeration contactType
storage for the contactType bean.

### contactName

@Nullable private String contactName
bean storage for the name attribute.

## Constructor Details

### ServiceContactTag

public ServiceContactTag()

## Method Details

### setContactType

public void setContactType(@Nullable String type)
Setter for the contactType bean.

Parameters:
  `type` - in value

### setName

public void setName(@Nullable String name)
Set the contact name.

Parameters:
  `name` - new value

### buildURL

@Nullable private String buildURL(@Nullable String email, @Nullable String name)
Return either the name raw or garnished in a hyperlink.

Parameters:
  `email` - the email address (a url)
  `name` - the name to return.
Returns:
  either a hyperlink or a raw string, or null

### getStringFromContact

@Nullable private String getStringFromContact(ContactPerson contact)
Build an appropriate string from the <Contact>.

Parameters:
  `contact` - who we are interested in.
Returns:
  either an hyperlink or straight text or null

### getContactFromEntity

@Nullable protected String getContactFromEntity()
Build an appropriate string from the <EntityDescriptor>.

Returns:
  either a hyperlink or straight text or null.

### doEndTag

public int doEndTag() throws JspException

Specified by:
  `doEndTag` in interface `Tag`
Overrides:
  `doEndTag` in class `BodyTagSupport`
Throws:
  `JspException`